General Announcements


DiscussionStarted byRepliesLast post
MA Design - Presentation I Apresentação I Presentación - 30.09.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 28 Sep 2021, 11:21 AM
MA Marketing - Presentation I Apresentação I Presentación - 22 & 23.09.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Mon, 20 Sep 2021, 12:42 PM
MA Design - Presentation I Apresentação I Presentación - 21.07.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 20 Jul 2021, 12:18 PM
MA Marketing - Presentation I Apresentação I Presentación - 13.07.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 13 Jul 2021, 9:52 AM
MA Design - Presentation I Apresentação I Presentación - 02 & 05.07.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Wed, 30 Jun 2021, 10:50 AM
MA Marketing - Presentation I Apresentação I Presentación - 22 & 23.06.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Wed, 16 Jun 2021, 4:25 PM
Final Major Project BA (Hons) Design/Marketing - Presentation I Apresentação I Presentación Sara Petiz Sara Petiz 0 Sara Petiz
Fri, 7 May 2021, 5:57 PM
LinkedIn Masterclass - 22.04.2021 - 18h30 (London Time) Sara Petiz Sara Petiz 0 Sara Petiz
Mon, 19 Apr 2021, 10:33 PM
MA Design - Presentation I Apresentação I Presentación - 01.04.2021 - UPDATE Sara Petiz Sara Petiz 0 Sara Petiz
Mon, 29 Mar 2021, 4:53 PM
MA Marketing - Presentation I Apresentação I Presentación - 17.03.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 16 Mar 2021, 3:41 PM
Recording: Webinar “Cite and reference in APA style” Sara Petiz Sara Petiz 0 Sara Petiz
Sat, 20 Feb 2021, 5:15 PM
Student webinar: Cite and reference in APA style Sara Petiz Sara Petiz 0 Sara Petiz
Thu, 11 Feb 2021, 10:46 PM
MA Marketing - Presentation I Apresentação I Presentación - 20.01.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 19 Jan 2021, 7:35 PM
BA/MA Marketing - Presentation I Apresentação I Presentación - 12.01.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Fri, 8 Jan 2021, 5:32 PM
Applied Design Project - MA Design - Presentation I Apresentação I Presentación - 08.01.2021 Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 5 Jan 2021, 3:46 PM
Happy Holidays I Boas Festas I Felices Fiestas Sara Petiz Sara Petiz 0 Sara Petiz
Wed, 23 Dec 2020, 11:20 PM
Applied Marketing Project MA Marketing - Presentation I Apresentação I Presentación - 16.12.2020 Sara Petiz Sara Petiz 0 Sara Petiz
Mon, 7 Dec 2020, 3:21 PM
Student webinar: Turnitin Sara Petiz Sara Petiz 0 Sara Petiz
Fri, 27 Nov 2020, 6:47 PM
Student webinar: Statista Sara Petiz Sara Petiz 0 Sara Petiz
Mon, 28 Sep 2020, 4:48 AM
BA (Hons) Marketing - Final Major Project Presentation / Apresentação de Projeto Final / Presentación del Proyecto Final Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 8 Sep 2020, 11:30 AM
Applied Design Project Presentation / Apresentação de Projeto Aplicado de Design / Presentación del Proyecto Aplicado de Diseño - April Rose Filligrana Sara Petiz Sara Petiz 0 Sara Petiz
Mon, 27 Jul 2020, 10:52 AM
Applied Marketing Project Presentation / Apresentação de Projeto Aplicado de Marketing / Presentación del Proyecto Aplicado de Marketing - Katja Fevralev Sara Petiz Sara Petiz 0 Sara Petiz
Wed, 8 Jul 2020, 3:57 PM
Applied Design Project MA Design - Presentation I Apresentação I Presentación Sara Petiz Sara Petiz 0 Sara Petiz
Wed, 3 Jun 2020, 6:57 PM
Final Major Project BA (Hons) Design - Presentation I Apresentação I Presentación Sara Petiz Sara Petiz 0 Sara Petiz
Thu, 7 May 2020, 2:03 PM
Final Major Project BA (Hons) Marketing - Presentation I Apresentação I Presentación Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 5 May 2020, 1:00 PM
LSDM Alert: Campus Online Maintenance I Alerta LSDM: Manutenção do Campus Online I Alerta LSDM: Mantenimiento del Campus Online Sara Petiz Sara Petiz 0 Sara Petiz
Fri, 17 Apr 2020, 1:13 PM
Applied Marketing Project Presentation - by Henrique Lima Sara Petiz Sara Petiz 0 Sara Petiz
Thu, 2 Apr 2020, 12:06 PM
Applied Marketing Project Presentation - by David Sanchez Sara Petiz Sara Petiz 0 Sara Petiz
Mon, 23 Mar 2020, 11:20 AM
Applied Marketing Project Presentation - by Mayra Perez Sara Petiz Sara Petiz 0 Sara Petiz
Wed, 19 Feb 2020, 3:11 PM
Applied Marketing Project Presentation - by Fernando Gilberto Sara Petiz Sara Petiz 0 Sara Petiz
Wed, 19 Feb 2020, 3:03 PM
Applied Marketing Project Presentation - by Rui Bento Sara Petiz Sara Petiz 0 Sara Petiz
Wed, 19 Feb 2020, 3:03 PM
Applied Design Project Presentation / Apresentação de Projeto Aplicado de Design / Presentación del Proyecto Aplicado de Diseño - Ana Carolina Penido Sara Petiz Sara Petiz 0 Sara Petiz
Wed, 29 Jan 2020, 12:03 PM
Happy Holidays! Boas Festas! ¡Felices Fiestas! Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 24 Dec 2019, 10:36 AM
Applied Design Project Presentation - by Chris Mark Sara Petiz Sara Petiz 0 Sara Petiz
Sun, 22 Dec 2019, 9:24 PM
Applied Marketing Project Presentation - by Liv Sobran Sara Petiz Sara Petiz 0 Sara Petiz
Fri, 29 Nov 2019, 3:57 PM
Applied Design Project Presentation - by Ka Kei LI Sara Petiz Sara Petiz 0 Sara Petiz
Mon, 14 Oct 2019, 10:18 AM
Applied Design Project Presentation - by Xahra Hafeez Sara Petiz Sara Petiz 0 Sara Petiz
Mon, 14 Oct 2019, 10:15 AM
Applied Marketing Project Presentation - by Vânia Reis Sara Petiz Sara Petiz 0 Sara Petiz
Thu, 1 Aug 2019, 5:46 PM
Applied Marketing Project Presentation - by André Bandeira Sara Petiz Sara Petiz 0 Sara Petiz
Thu, 1 Aug 2019, 5:42 PM
Graduation Ceremony - Royal Festival Hall Sara Petiz Sara Petiz 0 Sara Petiz
Tue, 25 Jun 2019, 8:55 PM
Applied Design Project Presentation - by Jeff Douglas Bradshaw Sara Petiz Sara Petiz 0 Sara Petiz
Fri, 14 Jun 2019, 4:04 PM